メインコンテンツへスキップ
GET
/
crm
/
v3
/
extensions
/
calling
/
{appId}
/
settings
特定のアプリのコール拡張機能設定を取得します。
curl --request GET \
  --url https://api.hubapi.com/crm/v3/extensions/calling/{appId}/settings \
  --header 'Authorization: Bearer <token>'
import requests

url = "https://api.hubapi.com/crm/v3/extensions/calling/{appId}/settings"

headers = {"Authorization": "Bearer <token>"}

response = requests.get(url, headers=headers)

print(response.text)
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};

fetch('https://api.hubapi.com/crm/v3/extensions/calling/{appId}/settings', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "createdAt": "2023-11-07T05:31:56Z",
  "height": 123,
  "isReady": true,
  "name": "<string>",
  "supportsCustomObjects": true,
  "supportsInboundCalling": true,
  "updatedAt": "2023-11-07T05:31:56Z",
  "url": "<string>",
  "usesCallingWindow": true,
  "usesRemote": true,
  "width": 123
}
{
"message": "Invalid input (details will vary based on the error)",
"correlationId": "aeb5f871-7f07-4993-9211-075dc63e7cbf",
"category": "VALIDATION_ERROR",
"links": {
"knowledge-base": "https://www.hubspot.com/products/service/knowledge-base"
}
}

Supported products

承認

Authorization
string
header
必須

The access token received from the authorization server in the OAuth 2.0 flow.

パスパラメータ

appId
integer<int32>
必須

コール拡張機能設定を取得するアプリの固有ID。

レスポンス

successful operation

createdAt
string<date-time>
必須

コール拡張機能設定が作成された日時。

height
integer<int32>
必須

コール拡張機能インターフェースの高さ。

isReady
boolean
必須

コール拡張機能設定を使用する準備ができたかどうかを示します。

name
string
必須

コール拡張機能の名前。

supportsCustomObjects
boolean
必須

コール拡張機能でカスタムオブジェクトがサポートされているかどうかを示します。

supportsInboundCalling
boolean
必須

コール拡張機能でインバウンドコールがサポートされているかどうかを示します。

updatedAt
string<date-time>
必須

コール拡張機能設定が最後に更新された日時。

url
string
必須

コール拡張機能と関連付けられたURL。

usesCallingWindow
boolean
必須

コール拡張機能で専用のコールウィンドウが使用されるかどうかを示します。

usesRemote
boolean
必須

コール拡張機能でリモートサービスが使用されるかどうかを示します。

width
integer<int32>
必須

コール拡張機能インターフェースの幅。

最終更新日 2026年4月10日